<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PricingSectionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'pricing_section_status' => 'nullable',
            'pricing_title' => 'required|string',
            'pricing_short_description' => 'required|string',
        ];
    }
}
